<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('print_queue', function (Blueprint $table) {
            $table->id();
            $table->foreignId('solicitor_id')->nullable()->constrained()->cascadeOnDelete();
            $table->foreignId('document_id')->nullable();
            $table->string('file_path')->nullable();
            $table->nullableMorphs('owner');
            $table->foreignId('user_id')->nullable()->constrained()->nullOnDelete();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('print_queue');
    }
};
